import React from 'react';

import { ErrorBoundary } from 'react-error-boundary';
import ErrorFallback from '../common/ErrorFallback';
import Loading from '../common/Loading';
import Settings from './Settings';

const ConfigApp: React.FC = () => {
  return (
    <ErrorBoundary FallbackComponent={ErrorFallback}>
      <React.Suspense fallback={<Loading />}>
        <Settings />
      </React.Suspense>
    </ErrorBoundary>
  );
};
export default ConfigApp;
